<?php 

$transaccion = $_POST["transaccion"];





function ejecutarTransaccion($transaccion){
	if ($transaccion=="mostrarHora") { 
		do{
			$archivoGps = fopen("/var/www/html/RegislogWeb/variables/gps.txt", "r") or die("No se puede abrir el archivo!");
			$fileGps = fgets($archivoGps);
			fclose($archivoGps);
			$gps = explode(",", $fileGps);
		}while(count($gps) <= 6);
		return printf("datosGps=".$gps[4]."+".$gps[0]."+".$gps[1]."+".$gps[5]."+".$gps[6]);
	}
    if ($transaccion=="datosTarjeta") {
		do{
			$archivoCard = fopen("/var/www/html/RegislogWeb/variables/datosRfid.txt", "r") or die("No se puede abrir el archivo!");
			$fileCard = fgets($archivoCard);
			fclose($archivoCard);
			$card = explode(",", $fileCard);
		}while(count($card) < 3);

		print json_encode($card);
	}	
}
ejecutarTransaccion($transaccion);
 ?>